> For the complete documentation index, see [llms.txt](https://developers.oxylabs.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers.oxylabs.io/products/pt-br/proxies/high-bandwidth-proxies.md).

# High-Bandwidth Proxies

Aprenda a usar os High-Bandwidth Proxies da Oxylabs para tarefas que exigem muito tráfego, como scraping de vídeo e áudio.

## Primeiros passos

Para começar a usar nossos [**High Bandwidth Proxies**](https://oxylabs.io/products/high-bandwidth-proxies) para extração de dados de vídeo e áudio, entre em contato com nossa equipe de vendas para receber seu endpoint dedicado. Cada cliente recebe um endpoint de proxy exclusivo configurado para suas necessidades específicas. Para integrar diretamente esta solução com `yt_dlp` biblioteca, confira o [exemplo](#example-integration-youtube-downloader) abaixo ou veja nossas [Agent Skills](#agent-skills) para fluxos de trabalho de IA.

## Configuração do endpoint

Depois de receber seu endpoint da equipe de gerenciamento de conta, você receberá:

* Um endpoint de proxy dedicado
* Seu nome de usuário e senha
* Número da porta (padrão: `60000`)

## Exemplo de integração: YouTube Downloader

Aqui está um exemplo usando `yt-dlp` com nossos High Bandwidth Proxies para extração de dados de vídeo ou áudio:

### Uso básico

{% tabs %}
{% tab title="Bash" %}

```bash
yt-dlp --proxy username-$(openssl rand -hex 16):password@endpoint:60000 \
"https://www.youtube.com/watch?v=WNCl-69POro"
```

{% endtab %}

{% tab title="Python" %}

```python
import os
import yt_dlp

username = 'YOUR_USERNAME'
password = 'YOUR_PASSWORD'

proxy = f'http://{username}-{os.urandom(16).hex()}:{password}@your-endpoint:60000'

ydl_opts = {
    'proxy': proxy,
}

with yt_dlp.YoutubeDL(ydl_opts) as ydl:
    ydl.download(['https://www.youtube.com/watch?v=WNCl-69POro'])
```

{% endtab %}
{% endtabs %}

{% hint style="info" %}
Para obter o desempenho ideal, certifique-se de que cada vídeo seja baixado usando um endereço IP separado. Consulte a seção abaixo para orientação.
{% endhint %}

### Vários URLs com IPs diferentes

Ao usar High Bandwidth Proxies, cada vídeo é baixado com um endereço IP separado para garantir o desempenho ideal. Isso é feito gerando um ID de sessão exclusivo para cada solicitação, o que efetivamente atribui um novo endereço IP para cada download.

{% tabs %}
{% tab title="Bash" %}

```bash
# First video with one IP
yt-dlp --proxy username-$(openssl rand -hex 16):password@endpoint:60000 \
"https://www.youtube.com/watch?v=6stlCkUDG_s"

# Second video with different IP
yt-dlp --proxy username-$(openssl rand -hex 16):password@endpoint:60000 \
"https://www.youtube.com/watch?v=gsnqXt7d1mU"
```

{% endtab %}

{% tab title="Python" %}

```python
import os
import yt_dlp

def download_with_new_ip(url, username, password):
    session_id = os.urandom(16).hex()
    proxy = f'http://{username}-{session_id}:{password}@your-endpoint:60000'

    ydl_opts = {
        'proxy': proxy
    }
    
    with yt_dlp.YoutubeDL(ydl_opts) as ydl:
        try:
            print(f"Downloading {url} with new IP ({username}-{session_id})...")
            ydl.download([url])
            print(f"Successfully downloaded {url}")
        except Exception as e:
            print(f"Error downloading {url}: {str(e)}")

def main():
    username = 'YOUR_USERNAME'
    password = 'YOUR_PASSWORD'
    
    videos = [
        'https://www.youtube.com/watch?v=6stlCkUDG_s',
        'https://www.youtube.com/watch?v=gsnqXt7d1mU'
    ]
    
    for video in videos:
        download_with_new_ip(video, username, password)

if __name__ == "__main__":
    main()

```

{% endtab %}
{% endtabs %}

{% hint style="info" %}
A função inclui tratamento básico de erros para garantir que o processo continue mesmo se um download falhar.
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://developers.oxylabs.io/products/pt-br/proxies/high-bandwidth-proxies.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
